FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 09-07-2012, 02:50 PM
Leon Fauster
 
Default odd dependency

Am 07.09.2012 um 16:21 schrieb m.roth@5-cent.us:
> I'm putting the finishing touches on a new server, which will be replacing
> an old one. It's got a non-rpm ruby package (I hear lots of not-nice
> things about the RH package). The new server had ruby installed, so I went
> to yum remove it.
>
> And it removed ibutils as a dependency of ruby or ruby-libs.
>
> rpm -qi of ibutils tells me
> Summary : OpenIB Mellanox InfiniBand Diagnostic Tools
> Description :
> ibutils provides IB network and path diagnostics.
>
> On 5.8, it's installed, and ruby isn't. Anyone have any idea why
> Infiniband utils should be required for ruby?



just to test - try:

yum install ruby

here (5.8) no ibutils rpm will be
installed to satisfy a ruby dependency.

--
LF

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 09-07-2012, 03:26 PM
 
Default odd dependency

Leon Fauster wrote:
> Am 07.09.2012 um 16:21 schrieb m.roth@5-cent.us:
>> I'm putting the finishing touches on a new server, which will be
>> replacing an old one. It's got a non-rpm ruby package (I hear lots of
not-nice
>> things about the RH package). The new server had ruby installed, so I
>> went to yum remove it.
>>
>> And it removed ibutils as a dependency of ruby or ruby-libs.
>>
>> rpm -qi of ibutils tells me
>> Summary : OpenIB Mellanox InfiniBand Diagnostic Tools
>> Description :
>> ibutils provides IB network and path diagnostics.
>>
>> On 5.8, it's installed, and ruby isn't. Anyone have any idea why
>> Infiniband utils should be required for ruby?
>
> just to test - try:
>
> yum install ruby
>
> here (5.8) no ibutils rpm will be
> installed to satisfy a ruby dependency.

Right - sorry, the new server's 6.3. Actually, I've just tried, and must
be missing something, because now doing just what you suggested, which I
*thought* I'd done before, it only wants to install ruby-libs, not
iputils, nor, for that matter, graphviz-(whatsit).

My manager figures that there's a ruby script in ibutils, which makes sense.

mark, unimpressed with the faddish language of the year

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 09:06 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org